> ## Documentation Index
> Fetch the complete documentation index at: https://developers.paxoslabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch supported assets by vault and chain

> Supported assets are assets that can be deposited into a vault. There can be different supported assets on each blockchain network the vault is deployed on. Returns the mapping of supported assets for the specified vaaults on each chain.



## OpenAPI

````yaml /v0.1.0/api-reference/openapi.yml get /v1/vaults/assets
openapi: 3.0.0
info:
  title: Paxos Labs API
  version: 1.0.0
  description: API for managing and querying vault data for Paxos Labs.
servers:
  - url: https://api.paxoslabs.com
security: []
tags: []
paths:
  /v1/vaults/assets:
    get:
      tags:
        - Vaults
      summary: Fetch supported assets by vault and chain
      description: >-
        Supported assets are assets that can be deposited into a vault. There
        can be different supported assets on each blockchain network the vault
        is deployed on. Returns the mapping of supported assets for the
        specified vaaults on each chain.
      parameters:
        - name: vault_address
          in: query
          required: false
          description: The address of the vault. Optional.
          schema:
            type: string
            example: '0x9Ed15383940CC380fAEF0a75edacE507cC775f22'
      responses:
        '200':
          description: Successful response with supported vault addresses.
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  additionalProperties:
                    type: array
                    items:
                      type: string
                      description: Supported token addresses for the vault.
                      pattern: ^0x[a-fA-F0-9]{40}$
              example:
                '1329':
                  '0xa8a3a5013104e093245164ea56588dbe10a3eb48':
                    - '0x215dc1cc32d9d08a0081e55e55895c8cf006839a'
                '42161':
                  '0xa8a3a5013104e093245164ea56588dbe10a3eb48':
                    - '0x215dc1cc32d9d08a0081e55e55895c8cf006839a'
        '400':
          description: Invalid request (e.g., incorrect chain ID format).
        '500':
          description: Internal server error.

````